Package org.lwjgl.opencl

# Class EXTDeviceFission

java.lang.Object
org.lwjgl.opencl.EXTDeviceFission

public final class EXTDeviceFission extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CL_AFFINITY_DOMAIN_L1_CACHE_EXT`
Accepted as a property name, when accompanying the CL_DEVICE_PARITION_BY_AFFINITY_DOMAIN_EXT property, in the <properties> parameter of clCreateSubDeviceEXT:
`static final int`
`CL_AFFINITY_DOMAIN_L2_CACHE_EXT`
Accepted as a property name, when accompanying the CL_DEVICE_PARITION_BY_AFFINITY_DOMAIN_EXT property, in the <properties> parameter of clCreateSubDeviceEXT:
`static final int`
`CL_AFFINITY_DOMAIN_L3_CACHE_EXT`
Accepted as a property name, when accompanying the CL_DEVICE_PARITION_BY_AFFINITY_DOMAIN_EXT property, in the <properties> parameter of clCreateSubDeviceEXT:
`static final int`
`CL_AFFINITY_DOMAIN_L4_CACHE_EXT`
Accepted as a property name, when accompanying the CL_DEVICE_PARITION_BY_AFFINITY_DOMAIN_EXT property, in the <properties> parameter of clCreateSubDeviceEXT:
`static final int`
`CL_AFFINITY_DOMAIN_NEXT_FISSIONABLE_EXT`
Accepted as a property name, when accompanying the CL_DEVICE_PARITION_BY_AFFINITY_DOMAIN_EXT property, in the <properties> parameter of clCreateSubDeviceEXT:
`static final int`
`CL_AFFINITY_DOMAIN_NUMA_EXT`
Accepted as a property name, when accompanying the CL_DEVICE_PARITION_BY_AFFINITY_DOMAIN_EXT property, in the <properties> parameter of clCreateSubDeviceEXT:
`static final int`
`CL_DEVICE_AFFINITY_DOMAINS_EXT`
Accepted as a property being queried in the <param_name> argument of clGetDeviceInfo:
`static final int`
`CL_DEVICE_PARENT_DEVICE_EXT`
Accepted as a property being queried in the <param_name> argument of clGetDeviceInfo:
`static final int`
`CL_DEVICE_PARITION_TYPES_EXT`
Accepted as a property being queried in the <param_name> argument of clGetDeviceInfo:
`static final int`
`CL_DEVICE_PARTITION_BY_AFFINITY_DOMAIN_EXT`
Accepted as a property name in the <properties> parameter of clCreateSubDeviceEXT:
`static final int`
`CL_DEVICE_PARTITION_BY_COUNTS_EXT`
Accepted as a property name in the <properties> parameter of clCreateSubDeviceEXT:
`static final int`
`CL_DEVICE_PARTITION_BY_NAMES_EXT`
Accepted as a property name in the <properties> parameter of clCreateSubDeviceEXT:
`static final int`
`CL_DEVICE_PARTITION_EQUALLY_EXT`
Accepted as a property name in the <properties> parameter of clCreateSubDeviceEXT:
`static final int`
`CL_DEVICE_PARTITION_FAILED_EXT`
Returned by clCreateSubDevicesEXT when the indicated partition scheme is supported by the implementation, but the implementation can not further partition the device in this way.
`static final int`
`CL_DEVICE_PARTITION_STYLE_EXT`
Accepted as a property being queried in the <param_name> argument of clGetDeviceInfo:
`static final int`
`CL_DEVICE_REFERENCE_COUNT_EXT`
Accepted as a property being queried in the <param_name> argument of clGetDeviceInfo:
`static final int`
`CL_INVALID_PARTITION_COUNT_EXT`
Returned by clCreateSubDevicesEXT when the total number of compute units requested exceeds CL_DEVICE_MAX_COMPUTE_UNITS, or the number of compute units for any one sub-device is less than 1.
`static final int`
`CL_INVALID_PARTITION_NAME_EXT`
Returned by clCreateSubDevicesEXT when a compute unit name appearing in a name list following CL_DEVICE_PARTITION_BY_NAMES_EXT is not in range.
`static final int`
`CL_PARTITION_BY_COUNTS_LIST_END_EXT`
Accepted as the partition counts list terminator in the <properties> parameter of clCreateSubDeviceEXT:
`static final int`
`CL_PARTITION_BY_NAMES_LIST_END_EXT`
Accepted as the partition names list terminator in the <properties> parameter of clCreateSubDeviceEXT:
`static final int`
`CL_PROPERTIES_LIST_END_EXT`
Accepted as the property list terminator in the <properties> parameter of clCreateSubDeviceEXT:

## Method Summary

Modifier and Type
Method
Description
`static int`
`clCreateSubDevicesEXT(CLDevice in_device, LongBuffer properties, PointerBuffer out_devices, IntBuffer num_devices)`
`static int`
`clReleaseDeviceEXT(CLDevice device)`
Warning: LWJGL will not automatically release any objects associated with sub-devices.
`static int`
`clRetainDeviceEXT(CLDevice device)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CL_DEVICE_PARTITION_EQUALLY_EXT

public static final int CL_DEVICE_PARTITION_EQUALLY_EXT
Accepted as a property name in the <properties> parameter of clCreateSubDeviceEXT:

See Also:
  - Constant Field Values

### CL_DEVICE_PARTITION_BY_COUNTS_EXT

public static final int CL_DEVICE_PARTITION_BY_COUNTS_EXT
Accepted as a property name in the <properties> parameter of clCreateSubDeviceEXT:

See Also:
  - Constant Field Values

### CL_DEVICE_PARTITION_BY_NAMES_EXT

public static final int CL_DEVICE_PARTITION_BY_NAMES_EXT
Accepted as a property name in the <properties> parameter of clCreateSubDeviceEXT:

See Also:
  - Constant Field Values

### CL_DEVICE_PARTITION_BY_AFFINITY_DOMAIN_EXT

public static final int CL_DEVICE_PARTITION_BY_AFFINITY_DOMAIN_EXT
Accepted as a property name in the <properties> parameter of clCreateSubDeviceEXT:

See Also:
  - Constant Field Values

### CL_AFFINITY_DOMAIN_L1_CACHE_EXT

public static final int CL_AFFINITY_DOMAIN_L1_CACHE_EXT
Accepted as a property name, when accompanying the CL_DEVICE_PARITION_BY_AFFINITY_DOMAIN_EXT property, in the <properties> parameter of clCreateSubDeviceEXT:

See Also:
  - Constant Field Values

### CL_AFFINITY_DOMAIN_L2_CACHE_EXT

public static final int CL_AFFINITY_DOMAIN_L2_CACHE_EXT
Accepted as a property name, when accompanying the CL_DEVICE_PARITION_BY_AFFINITY_DOMAIN_EXT property, in the <properties> parameter of clCreateSubDeviceEXT:

See Also:
  - Constant Field Values

### CL_AFFINITY_DOMAIN_L3_CACHE_EXT

public static final int CL_AFFINITY_DOMAIN_L3_CACHE_EXT
Accepted as a property name, when accompanying the CL_DEVICE_PARITION_BY_AFFINITY_DOMAIN_EXT property, in the <properties> parameter of clCreateSubDeviceEXT:

See Also:
  - Constant Field Values

### CL_AFFINITY_DOMAIN_L4_CACHE_EXT

public static final int CL_AFFINITY_DOMAIN_L4_CACHE_EXT
Accepted as a property name, when accompanying the CL_DEVICE_PARITION_BY_AFFINITY_DOMAIN_EXT property, in the <properties> parameter of clCreateSubDeviceEXT:

See Also:
  - Constant Field Values

### CL_AFFINITY_DOMAIN_NUMA_EXT

public static final int CL_AFFINITY_DOMAIN_NUMA_EXT
Accepted as a property name, when accompanying the CL_DEVICE_PARITION_BY_AFFINITY_DOMAIN_EXT property, in the <properties> parameter of clCreateSubDeviceEXT:

See Also:
  - Constant Field Values

### CL_AFFINITY_DOMAIN_NEXT_FISSIONABLE_EXT

public static final int CL_AFFINITY_DOMAIN_NEXT_FISSIONABLE_EXT
Accepted as a property name, when accompanying the CL_DEVICE_PARITION_BY_AFFINITY_DOMAIN_EXT property, in the <properties> parameter of clCreateSubDeviceEXT:

See Also:
  - Constant Field Values

### CL_DEVICE_PARENT_DEVICE_EXT

public static final int CL_DEVICE_PARENT_DEVICE_EXT
Accepted as a property being queried in the <param_name> argument of clGetDeviceInfo:

See Also:
  - Constant Field Values

### CL_DEVICE_PARITION_TYPES_EXT

public static final int CL_DEVICE_PARITION_TYPES_EXT
Accepted as a property being queried in the <param_name> argument of clGetDeviceInfo:

See Also:
  - Constant Field Values

### CL_DEVICE_AFFINITY_DOMAINS_EXT

public static final int CL_DEVICE_AFFINITY_DOMAINS_EXT
Accepted as a property being queried in the <param_name> argument of clGetDeviceInfo:

See Also:
  - Constant Field Values

### CL_DEVICE_REFERENCE_COUNT_EXT

public static final int CL_DEVICE_REFERENCE_COUNT_EXT
Accepted as a property being queried in the <param_name> argument of clGetDeviceInfo:

See Also:
  - Constant Field Values

### CL_DEVICE_PARTITION_STYLE_EXT

public static final int CL_DEVICE_PARTITION_STYLE_EXT
Accepted as a property being queried in the <param_name> argument of clGetDeviceInfo:

See Also:
  - Constant Field Values

### CL_PROPERTIES_LIST_END_EXT

public static final int CL_PROPERTIES_LIST_END_EXT
Accepted as the property list terminator in the <properties> parameter of clCreateSubDeviceEXT:

See Also:
  - Constant Field Values

### CL_PARTITION_BY_COUNTS_LIST_END_EXT

public static final int CL_PARTITION_BY_COUNTS_LIST_END_EXT
Accepted as the partition counts list terminator in the <properties> parameter of clCreateSubDeviceEXT:

See Also:
  - Constant Field Values

### CL_PARTITION_BY_NAMES_LIST_END_EXT

public static final int CL_PARTITION_BY_NAMES_LIST_END_EXT
Accepted as the partition names list terminator in the <properties> parameter of clCreateSubDeviceEXT:

See Also:
  - Constant Field Values

### CL_DEVICE_PARTITION_FAILED_EXT

public static final int CL_DEVICE_PARTITION_FAILED_EXT
Returned by clCreateSubDevicesEXT when the indicated partition scheme is supported by the implementation, but the implementation can not further partition the device in this way.

See Also:
  - Constant Field Values

### CL_INVALID_PARTITION_COUNT_EXT

public static final int CL_INVALID_PARTITION_COUNT_EXT
Returned by clCreateSubDevicesEXT when the total number of compute units requested exceeds CL_DEVICE_MAX_COMPUTE_UNITS, or the number of compute units for any one sub-device is less than 1.

See Also:
  - Constant Field Values

### CL_INVALID_PARTITION_NAME_EXT

public static final int CL_INVALID_PARTITION_NAME_EXT
Returned by clCreateSubDevicesEXT when a compute unit name appearing in a name list following CL_DEVICE_PARTITION_BY_NAMES_EXT is not in range.

See Also:
  - Constant Field Values

## Method Details

### clRetainDeviceEXT

public static int clRetainDeviceEXT(CLDevice device)

### clReleaseDeviceEXT

public static int clReleaseDeviceEXT(CLDevice device)
Warning: LWJGL will not automatically release any objects associated with sub-devices. The user is responsible for tracking and releasing everything prior to calling this method.

Parameters:
  `device` - the parent CLDevice

Returns:
  the error code

### clCreateSubDevicesEXT

public static int clCreateSubDevicesEXT(CLDevice in_device, LongBuffer properties, PointerBuffer out_devices, IntBuffer num_devices)